Relatório de automações
GET
Automações: execuções, falhas e respostas de formulário. period é today, 7d, 30d (padrão), 90d ou custom com from e to.
Escopo: automations:read
bearer automations:readheader
AutorizaçãoBearer <token>A chave de API de uma conta de serviço (sk_live_…, 600 requisições por minuto cada) ou um access token OAuth para o recurso /api/v1 (600 requisições por minuto por conexão).
Escopo: automations:read
period?stringValor em
"today""7d""30d""90d""custom"from?stringYYYY-MM-DD, with period custom.
Padrão
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Formato
dateto?stringYYYY-MM-DD, with period custom.
Padrão
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Formato
datenumber?stringA number's id, from list_numbers.
Tamanho
1 <= length <= 100team?stringA team's id, from list_teams.
Tamanho
1 <= length <= 100agent?stringA member's id, from list_members.
Tamanho
1 <= length <= 100automation?stringTamanho
1 <= length <= 100campaign?stringTamanho
1 <= length <= 100pipeline?stringTamanho
1 <= length <= 100origin?stringValor em
"direct""form""import""campaign""team"Feito.
application/json- response
workspace*stringrange*now*stringFormato
date-timetime_zone*stringcount*integerIntervalo
-9007199254740991 <= value <= 9007199254740991without_agent*integerIntervalo
-9007199254740991 <= value <= 9007199254740991ai_replies*integerIntervalo
-9007199254740991 <= value <= 9007199254740991ai_seconds*number|nullhanded_over*integerIntervalo
-9007199254740991 <= value <= 9007199254740991saved*days*array<>automations*array<>questions*array<>Exemplo de requisição
curl -X GET 'https://app.zaplin.com.br/api/v1/reports/automation' \ -H 'Authorization: Bearer sk_live_...'Exemplo de resposta
{ "workspace": "string", "range": { "from": "2026-10-17", "to": "2026-10-17", "days": 0, "previous": { "from": "2026-10-17", "to": "2026-10-17" } }, "now": "2026-10-17T12:00:00.000Z", "time_zone": "string", "count": 0, "without_agent": 0, "ai_replies": 0, "ai_seconds": 0, "handed_over": 0, "saved": { "minutes": 0, "per_message": 0, "measured": false }, "days": [ { "day": "2026-10-17", "automated": 0, "team": 0 } ], "automations": [ { "id": "string", "name": "string", "runs": 0, "succeeded": 0, "failed": 0, "done": 0 } ], "questions": [ { "text": "string", "count": 0 } ]}